aboutsummaryrefslogtreecommitdiffstats
path: root/find-provides.in
diff options
context:
space:
mode:
authorDexter Morgan <dmorgan@mageia.org>2012-02-13 00:44:44 +0000
committerDexter Morgan <dmorgan@mageia.org>2012-02-13 00:44:44 +0000
commit789e8a1cee8b9d62413e71eb3f8a79e4462ec588 (patch)
treee820a8419cae33683934d36fcce36ff835ce73b3 /find-provides.in
parent6e05b67ebbc11a4bfcda51568863326ec59f0d17 (diff)
downloadrpm-setup-789e8a1cee8b9d62413e71eb3f8a79e4462ec588.tar
rpm-setup-789e8a1cee8b9d62413e71eb3f8a79e4462ec588.tar.gz
rpm-setup-789e8a1cee8b9d62413e71eb3f8a79e4462ec588.tar.bz2
rpm-setup-789e8a1cee8b9d62413e71eb3f8a79e4462ec588.tar.xz
rpm-setup-789e8a1cee8b9d62413e71eb3f8a79e4462ec588.zip
Handle better osgi.prov by only looking at the wanted files ( remove error at rpm building)
Diffstat (limited to 'find-provides.in')
-rwxr-xr-xfind-provides.in7
1 files changed, 5 insertions, 2 deletions
diff --git a/find-provides.in b/find-provides.in
index a52a234..be99d57 100755
--- a/find-provides.in
+++ b/find-provides.in
@@ -11,6 +11,7 @@ pythonlist=
tcllist=
rubygemlist=$(echo "$filelist"| egrep "\.gemspec$")
mavenlist=$(echo "$filelist" |egrep '/usr/share/maven-poms/.*\.pom')
+osgilist=$(echo "$filelist" |egrep "^(.*\.jar|((/usr/lib(64)|/usr/share).*/MANIFEST.MF))")
#
# --- Alpha does not mark 64bit dependencies
@@ -147,8 +148,10 @@ fi
#
# --- osgi provides
if [ -x @RPMLIBDIR@/osgi.prov ];then
- echo $filelist | tr '[:blank:]' '\n' | @RPMLIBDIR@/osgi.prov \
- && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMLIBDIR@/osgi.prov failed' >&2 && exit 1
+ if [ ! -z $osgilist ]; then
+ echo $osgilist | tr '[:blank:]' '\n' | @RPMLIBDIR@/osgi.prov \
+ && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMLIBDIR@/osgi.prov failed' >&2 && exit 1
+ fi
fi
#